package com.wisewoods.base.net;

import android.app.Dialog;

import com.blankj.utilcode.util.ThreadUtils;
import com.wisewoods.base.utils.DialogUtils;

import retrofit2.Response;

public abstract class JDCallback<T> extends JCallback<T> {

    private Dialog dialog;


    public JDCallback() {
        ThreadUtils.runOnUiThread(() -> {
            dialog = DialogUtils.showMD();
        });
    }

    public void onFinish() {
        ThreadUtils.runOnUiThread(() -> {
            DialogUtils.dissmiss(dialog);
        });
    }

    public abstract void onS(Response<T> response, T t);


}
